Function
readUntilTabOrLineBreak
Read characters from stream until a tab or line-break occurs.
readUntilTabOrLineBreak(TBuffer & buffer, RecordReader<TStream, TPass> & recordReader)
Include Headers
seqan/stream.h
Parameters

buffer | The buffer to write to. Types: CharString, DnaString, or similar
recordReader | The RecordReader to read from. Types: RecordReader

Remarks
This function stops *on* the tab or line-break character. This character is not written to buffer.
Return Values
0 if there was no error reading
non-zero value on errors, especially EOF_BEFORE_SUCCESS
Types: int, TokenizeResult
Member of
RecordReader
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58